For the complete documentation index, see llms.txt. This page is also available as Markdown.

List feedback attachments

Get attachments for a feedback entry

get

Supports filtering, sorting, and pagination via query string parameters.

Path parameters
feedbackIdstringRequired

The feedback ID.

Responses
200

OK

application/json
get/public/v1/helpdesk/feedback/{feedbackId}/attachments
GET /public/v1/helpdesk/feedback/{feedbackId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "deleted": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "icon": "text",
      "revision": 1,
      "feedback": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "description": "text",
        "requester": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        },
        "account": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Client",
          "status": "Active"
        },
        "status": "Submitted",
        "rating": 1,
        "notes": "text",
        "internalNotes": "text",
        "externalId": "text",
        "metaData": null,
        "attachments": [
          "[Circular Reference]"
        ]
      },
      "status": "Active",
      "file": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Icon",
        "filename": "report.pdf",
        "size": 102400,
        "contentType": "application/pdf"
      },
      "name": "text",
      "description": "text"
    }
  ]
}

Last updated

Was this helpful?